Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.service
Class JNDIResource

    java.lang.Object
      weblogic.security.service.ResourceBase
          weblogic.security.service.JNDIResource

All Implemented Interfaces:
  Serializable, Resource, SelfDescribingResource, SelfDescribingResourceV2

    public class JNDIResource

extends ResourceBase

The `JNDIResource` class is used by a container to specify the JMS resource (and method related to the resource) that a caller is attempting to access.

The `toString` format (which is produced by the `ResourceBase` class) for a JNDI resource is:
`type=<jndi>, application=, path={pathComponent1,pathComponent2}, actionName=modify`

See Also:
  Serialized Form

Field Summary

Fields inherited from class weblogic.security.service.ResourceBase
`id, length, NO_PARENT, parent, resStr, SCOPE_RESOURCE_ACTION, values`

Fields inherited from interface weblogic.security.spi.SelfDescribingResource
`LIST_FIELD_TYPE, NORMAL_FIELD_TYPE, PATH_FIELD_TYPE, UNDEFINED_FIELD_TYPE`

Constructor Summary
`JNDIResource()` Deprecated. As of 04/01/02.
`JNDIResource(String application, String[] path, String actionName)` Constructs a new `JNDIResource` with a target name composed from the `application`, `path`, and `actionName` parameters.

Method Summary
`boolean` | `equals(Object obj)` Compares this resource to the resource in the specified object.
`String` | `getActionName()` Gets the name of the action being requested on the `JNDIResource`.
`String` | `getApplicationName()` Gets the name of the application associated with the `JNDIResource`.
`int` | `getFieldType(String fieldName)` Describe `getFieldType` method here.
`String[]` | `getKeys()` Gets keys for the `JNDIResource`.
`String[]` | `getPath()` Gets the path in the JNDI tree.
`String` | `getPathName()` Get the dot-separated JNDI path of the `JNDIResource`.
`int` | `getRepeatingFieldIndex()` `getRepeatingFieldIndex` returns an index into the array returned by `getKeys()` that signifies what part of the Resource's fields repeat as the hierarchy is traversed.
`int` | `getRepeatingFieldTerminatingIndex()` The field returned by `getRepeatingFieldIndex` is repeated as the Resource is shortened up to and including this field index.
`String` | `getType()` Gets the type of this resource (`JNDIResource`).
`void` | `initialize(String application, String[] path, String actionName)` Deprecated. As of 04/01/02, the constructor should be used instead.
`protected Resource` | `makeParent()` Gets a `Resource` object that represents the parent of the current `JNDIResource`.
`void` | `reset()` Deprecated. As of 04/01/02.
`protected void` | `writeResourceString(StringBuffer buf)` Writes a string representation of the resource to buffer.

Methods inherited from class weblogic.security.service.ResourceBase
`appendArrayValue, appendValue, getID, getParentResource, getValues, hashCode, init, init, isTransitiveField, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JNDIResource

    public JNDIResource(String application,
                        String[] path,
                        String actionName)
                 throws InvalidParameterException

  Constructs a new `JNDIResource` with a target name composed from the `application`, `path`, and `actionName` parameters.

  Parameters:
    `application` - a String representing the name of the application in which the resource is deployed, as it appears in the corresponding `<display-name>` element. The `<display-name>` element is associated with the `<application>` element in the deployment descriptor, in an `.ear` file. A value of `null` indicates that the resource is not deployed as part of an application.

    `path` - a non-empty array of non-empty Strings representing the elements of the path in the JNDI tree. The order of the elements in the array must match the order of the context branches in the tree, starting with the root and walking out to the leaf level. Pass in a null as the parameter to indicate the root resource.

    `actionName` - a String representing the name of the action being requested on the JNDI resource. A value of `null` indicates that the security policy for the resource pertains to all actions that match the other parameters of the resource specification, without consideration for the action name. Valid values for this parameter are restricted to the following:
    - `lookup`
    - `modify`
    - `list`

  Throws:
    `InvalidParameterException` - if an empty String is passed as a Path member or an empty String array is passed as the path parameter.

### JNDIResource

    public JNDIResource()

  Deprecated. As of 04/01/02.

  Creates an empty `JNDIResource`.

Method Detail

### initialize

    public void initialize(String application,
                           String[] path,
                           String actionName)

  Deprecated. As of 04/01/02, the constructor should be used instead.

  Replaces `application`, `path`, `actionName` of the resource with the specified values.

  Parameters:
    `application` - a String representing the name of the application in which the resource is deployed, as it appears in the corresponding `<display-name>` element. The `<display-name>` element is associated with the `<application>` element in the deployment descriptor, in an `.ear` file. A value of `null` indicates that the resource is not deployed as part of an application.

    `path` - a non-empty array of non-empty Strings representing the elements of the path in the JNDI tree. The order of the elements in the array must match the order of the context branches in the tree, starting with the root and walking out to the leaf level. Pass in a null as the parameter to indicate the root resource.

    `actionName` - a String representing the name of the action being requested on the JNDI resource. A value of `null` indicates that the security policy for the resource pertains to all actions that match the other parameters of the resource specification, without consideration for the action name. Valid values for this parameter are restricted to the following:
    - `lookup`
    - `modify`
    - `list`

  Throws:
    `InvalidParameterException` - if an empty String is passed as a Path member or an empty String array is passed as the path parameter.

### getType

    public String getType()

  Gets the type of this resource (`JNDIResource`).

  Returns:
    the type of this resource, represented as a String.

### makeParent

    protected Resource makeParent()

  Gets a `Resource` object that represents the parent of the current `JNDIResource`. If the resource does not have a parent, the value of `null` is returned.

  The default parentage hierarchy for the `JNDIResource` is:

  `type=<jndi>, application=, path={pathComponent1,pathComponent2}, action=
  type=<jndi>, application=, path={pathComponent1,pathComponent2}
  type=<jndi>, application=, path={pathComponent1}, action=
  type=<jndi>, application=, path={pathComponent1}
  type=<jndi>, application=, path={}, action=
  type=<jndi>, application=, path={}
  type=<jndi>, action=
  type=<jndi>`

  The old deprecated parentage hierarchy for the `JNDIResource` (with -Dweblogic.security.scopeResourceAction) is:

  `type=<jndi>, application=, path={pathComponent1,pathComponent2},action=
  type=<jndi>, application=, path={pathComponent1}
  type=<jndi>, application=, path={}
  type=<jndi>`

  Overrides:
    `makeParent` in class `ResourceBase`
  Returns:
    the `Resource` object of the parent resource.

### getKeys

    public String[] getKeys()

  Gets keys for the `JNDIResource`.

  Specified by:
    `getKeys` in interface `Resource`
  Specified by:
    `getKeys` in class `ResourceBase`
  Returns:
    an array of Strings containing the `JNDIResource`'s keys.

### getFieldType

    public int getFieldType(String fieldName)

  Description copied from interface: `SelfDescribingResource`
  Describe `getFieldType` method here.

  Specified by:
    `getFieldType` in interface `SelfDescribingResource`
  Overrides:
    `getFieldType` in class `ResourceBase`
  Parameters:
    `fieldName` - the `String` name of the field being queried.
  Returns:
    the `int` field type of `fieldName`

### getRepeatingFieldIndex

    public int getRepeatingFieldIndex()

  Description copied from interface: `SelfDescribingResource`
  `getRepeatingFieldIndex` returns an index into the array returned by `getKeys()` that signifies what part of the Resource's fields repeat as the hierarchy is traversed. For example, in the `URLResource`, the `httpMethod` is repeated as the hierarchy is walked. A value of `-1` indicates that there are no repeating fields.

  Specified by:
    `getRepeatingFieldIndex` in interface `SelfDescribingResource`
  Overrides:
    `getRepeatingFieldIndex` in class `ResourceBase`
  Returns:
    the index of the repeating fields or -1 if none

### getRepeatingFieldTerminatingIndex

    public int getRepeatingFieldTerminatingIndex()

  Description copied from interface: `SelfDescribingResource`
  The field returned by `getRepeatingFieldIndex` is repeated as the Resource is shortened up to and including this field index. After this field index the repetition is no longer applied.

  Specified by:
    `getRepeatingFieldTerminatingIndex` in interface `SelfDescribingResource`
  Overrides:
    `getRepeatingFieldTerminatingIndex` in class `ResourceBase`
  Returns:
    an `int` describing the terminating index or `getKeys().length` if none

### writeResourceString

    protected void writeResourceString(StringBuffer buf)

  Writes a string representation of the resource to buffer.

  Overrides:
    `writeResourceString` in class `ResourceBase`
  Parameters:
    `buf` - buffer to write to.

### getPathName

    public String getPathName()

  Get the dot-separated JNDI path of the `JNDIResource`.

  Returns:
    the JNDI path of the `JNDIResource`, represented as a String.

### getActionName

    public String getActionName()

  Gets the name of the action being requested on the `JNDIResource`.

  Returns:
    the name of the action being requested on the `JNDIResource`, represented as a String.

### getApplicationName

    public String getApplicationName()

  Gets the name of the application associated with the `JNDIResource`.

  Returns:
    the name of the application associated with the `JNDIResource`, represented as a String.

### getPath

    public String[] getPath()

  Gets the path in the JNDI tree.

  Returns:
    the elements of the path in the JNDI tree, represented as an array of Strings.

### reset

    public void reset()

  Deprecated. As of 04/01/02.

  Clears all the values from the `JNDIResource`.

  Overrides:
    `reset` in class `ResourceBase`

### equals

    public boolean equals(Object obj)

  Compares this resource to the resource in the specified object.

  Specified by:
    `equals` in interface `Resource`
  Overrides:
    `equals` in class `ResourceBase`
  Parameters:
    `obj` - the other resource with which to compare this resource.

  Returns:
    `TRUE` if the resource passed in matches this resource, and `FALSE` otherwise.

  See Also:
    `Object.equals(Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD